Class | Ferret::Search::Filter
In: | ext/r_search.c
Parent: | Object

## Summary

A Filter is used to filter query results. It is usually passed to one of Searcher‘s search methods however it can also be used inside a ConstantScoreQuery or a FilteredQuery. To implement your own Filter you must implement the method get_bitvector(index_reader) which returns a BitVector with set bits corresponding to documents that are allowed by this Filter.

TODO add support for user implemented Filter. TODO add example of user implemented Filter.

### Methods

bits to_s

### Public Instance methods

filter.bits(index_reader) → bit_vector

Get the bit_vector used by this filter. This method will usually be used to group filters or apply filters to other filters.

filter.to_s → string

Return a human readable string representing the Filter object that the method was called on.

[Validate]